Authorization
curl --request POST \
--url http://127.0.0.1:3000/oauth2/authorize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"grant_type": "client_credentials",
"merchant_id": "",
"device_id": "",
"device_type": "terminal",
"password": "",
"scope": ""
}
'import requests
url = "http://127.0.0.1:3000/oauth2/authorize"
payload = {
"grant_type": "client_credentials",
"merchant_id": "",
"device_id": "",
"device_type": "terminal",
"password": "",
"scope": ""
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
grant_type: 'client_credentials',
merchant_id: '',
device_id: '',
device_type: 'terminal',
password: '',
scope: ''
})
};
fetch('http://127.0.0.1:3000/oauth2/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token_type": "bearer",
"access_token": "",
"expires_in": 86400
}POS Integration
Authorization
Shop/terminal needs to authenticate itself to SONECT. The flow will follow the “Client credentials grant” - the simplest of all the OAuth 2.0 grants and is suitable for machine-to-machine authentication where a specific user’s permission to access data is not required.
POST
/
oauth2
/
authorize
Authorization
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The body is of type object.
⌘I

